#
# spec file for package libgnomeui
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgnomeui
# bug437293
%ifarch ppc64
Obsoletes:      libgnomeui-64bit
%endif
#
Requires:       shared-mime-info
Version:        2.24.5
Release:        21.2
Summary:        The GNOME User Interface Library
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries/GNOME
Source:         http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.24/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM libgnomeui-bnc468821-do-not-steal-sm-connection.patch bnc468821 bgo573058 vuntz@novell.com -- Make libgnomeui only handle SM connection it has initiated
Patch0:         libgnomeui-bnc468821-do-not-steal-sm-connection.patch
BuildRequires:  fdupes
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libbonoboui-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pkg-config
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library contains all the user interface-related functions for
GNOME-based software. You need the libgnomeui-devel package if you want
to develop GNOME 2.x Desktop software.

%package devel
Summary:        Include files and libraries mandatory for development with libgnomeui
Group:          Development/Libraries/GNOME
Requires:       libgnomeui = %{version}
# Those are listed as Libs in libgnomeui-2.0.pc, and therefore are not
# automatically added
Requires:       pkgconfig(ice)
Requires:       pkgconfig(sm)
# bug437293
%ifarch ppc64
Obsoletes:      libgnomeui-devel-64bit
%endif
#

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%package doc
Summary:        Documentation for libgnomeui
Group:          Documentation/HTML
Requires:       %{name} = %{version}
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description doc
This library contains all the User-Interface related functions for
GNOME-based Software. You need the libgnomeui-devel package too if you
want to develop GNOME 2.x Desktop-based Software.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p0

%build
%configure \
	--libexecdir=%{_prefix}/lib/libgnomeui-2\
	--disable-static
make %{?_smp_mflags}

%install
%makeinstall
%if 0%{?suse_version} <= 1110
%{__rm} %{buildroot}%{_datadir}/locale/la/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_lang libgnomeui-2.0
find %{buildroot} -type f -name "*.la" -print -delete
%fdupes $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB README NEWS ChangeLog 
%{_datadir}/pixmaps/*.png
%{_libdir}/*.so.*
%{_libdir}/libglade/2.0/libgnome*.so

%files lang -f libgnomeui-2.0.lang

%files devel
%defattr(-,root,root)
%{_includedir}/libgnomeui-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgnomeui-2.0.pc

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/libgnomeui

%changelog
* Wed Jun  1 2016 jengelh@inai.de
- Drop --with-pic, it is only relevant for static libs (which
  are not built). Trim trailing dots from summary. Drop redundant
  %%clean section. Use %%_smp_mflags for parallel building.
* Fri May 27 2016 idonmez@suse.com
- Update to GNOME 3.20.2 FATE#318572
* Tue Jul 22 2014 dimstar@opensuse.org
- Drop gnome-icon-theme Requires: no longer required after the
  merging of the themes into Adwaita theme, which in turn is a
  dependency to GTK+ 3.0.
* Mon Apr 15 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Tue Feb 21 2012 vuntz@opensuse.org
- Remove explicit Requires in devel subpackage, that will
  automatically be added the pkgconfig() way: gconf2-devel,
  gnome-vfs2-devel, gtk2-devel, libart_lgpl-devel,
  libbonoboui-devel, libgnome-devel, libgnome-keyring-devel,
  libgnomecanvas-devel.
- Remove unneeded Requires from devel subpackage: libjpeg-devel,
  popt-devel, pkg-config.
- Add explicit Requires for pkgconfig(ice) and pkgconfig(sm) in
  devel package: the pkgconfig file references some libraries in
  Libs (and not Requires), so we need to depend on them.
* Mon Feb 20 2012 vuntz@opensuse.org
- Add explicit pkgconfig(ice), pkgconfig(sm) and pkgconfig(x11)
  BuildRequires, to avoid issues after the big xorg-x11 packaging
  change.
* Wed May  4 2011 vuntz@opensuse.org
- Update to version 2.24.5:
  + Fix typo (G_TYPE_INSTANCE_CHECK_TYPE ->
    G_TYPE_CHECK_INSTANCE_TYPE)
  + Updated translations.
* Wed Sep 29 2010 aj@suse.de
- Change lang package Requires to Recommends since it is not
  mandatory at runtime.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.24.4:
  + Updated translations.
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.24.3:
  + Enable silent build using AM_SILENT_RULES
  + Fix the build with ATK_DISABLE_SINGLE_INCLUDES
  + Updated translations.
- Remove en@shaw translations on 11.2 and earlier.
* Wed Dec 23 2009 vuntz@opensuse.org
- Change gnome-keyring-devel BuildRequires and Requires to
  libgnome-keyring-devel, following the module split upstream.
* Thu Dec 17 2009 jengelh@medozas.de
- Add baselibs.conf as a source
- Make doc subpackage a noarch package
* Wed Dec  2 2009 vuntz@opensuse.org
- Update the way we remove the la locale for old versions of
  openSUSE.
* Wed Sep 23 2009 dimstar@opensuse.org
- Update to version 2.24.2:
  + Updated translations.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Mon Mar  9 2009 vuntz@novell.com
- Exclude locale files for la for openSUSE <= 11.1.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.24.1:
  + Make it work with deprecations enabled in glib/gtk+
  + Fix leaks
  + Updated translations
- Remove unneeded BuildRequires: gnome-common, perl-XML-Parser
- Remove AutoReqProv: it's default now.
- Remove unneeded call to autoreconf.
- Remove -fno-strict-aliasing from CFLAGS.
* Wed Feb 25 2009 vuntz@novell.com
- Add libgnomeui-bnc468821-do-not-steal-sm-connection.patch: make
  libgnomeui only handle SM connection it has initiated. This fixes
  some compatibility issue with Qt. Fix bnc#468821.
* Wed Jan 21 2009 crrodriguez@suse.de
- remove "la" files [BNC#357465]
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Sep 23 2008 maw@suse.de
- Update to version 2.24.0:
  + Updated translations.
* Thu Aug 28 2008 maw@suse.de
- Don't package static libraries or libtool archives.
* Thu Aug 28 2008 maw@suse.de
- Update to version 2.23.90:
  + Minor bugfixes and cleanups.
* Wed Jun 18 2008 maw@suse.de
- Update to version 2.23.4:
  + Remove the filechooser backends (bgo#538025)
- Drop libgnomeui-bnc396681-gio-async-crash.diff.
* Mon Jun  9 2008 maw@suse.de
- Update to version 2.23.3:
  + Fix a crash in the gio file choose backend when a display name
    doesn't exist
  + Fix a crash in the gio file choose backend when a path is NULL
  + Stop pretending libgnomeui depends on libjpeg
  + Properly initialize gettext in the gio file chooser backend
  + Improve bookmarks in the gio file chooser backend
  + Do not leak GIcons in the gio file chooser backend
  + Get rid of in-memory thumbnail cache
  + Updated translations.
* Wed Jun  4 2008 federico@novell.com
- Added libgnomeui-bnc396681-gio-async-crash.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=396681 - The file
  chooser could crash if asynchronous callbacks were called after the
  file chooser itself was destroyed.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  9 2008 maw@suse.de
- Update to version 2.22.1:
  + Code cleanups
  + Use GIO for thumbnailing
  + Fix several crashes and critial warnings in the gio file
    chooser
  + Plug a memory leak
  + Updated translations.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.01:
  + Fix hangs in the file chooser backend
  + Code cleanups
  + Use proper icons for "/", the Desktop, and the user's home
    directory
  + Show the "File System" mount in the file chooser's shortucs
  + Try to mount remote locations when getting the file info fails
    with a "Not mounted" error
  + Updated translations.
* Mon Mar  3 2008 maw@suse.de
- Update to version 2.21.92:
  + More gio work in the filechooser.
* Mon Feb 18 2008 maw@suse.de
- Update to version 2.21.91:
  + Update to work with newer versions of gio.
* Thu Jan 31 2008 maw@suse.de
- Update to version 2.21.90:
  + win32 fixes
  + Portability fixes
  + Cleanups.
* Wed Jan 23 2008 maw@suse.de
- Update to version 2.21.5:
  + Gio based GtkFileSystem implementation
  + Remove MD5 code, and use GChecksum
  + Don't use GConf for getting the toolbar style
  + Fall back to DESKTOP_AUTOSTART_ID as startup ID
  + Fix a crash in the thumbnailer
  + Fix error reporting on directory creation failure in the
    gnome-vfs filesystem backend
  + Make error messages in the gnome-vfs filesystem backend translatable,
    and improve the messaged
  + Fix i18n
  + Warning fixes
  + Fix a crash in the filename entry widget when entering a path
    without trailing '/'
  + Allow showing seconds in the date chooser
  + Translation updates.
* Fri Nov 23 2007 maw@suse.de
- Update to version 2.20.1.1
- Remove upstreamed libgnomeui-330187-file-chooser-drive-volume-policy.diff.
* Fri Oct  5 2007 federico@novell.com
- Removed libgnomeui-155010-filechooser-show-drives.diff.
- Added libgnomeui-330187-file-chooser-drive-volume-policy.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=330187 - CD-ROMs do not
  appear in the file chooser.  Now the file chooser follows the same policy as
  Nautilus to show its drives/volumes.
* Wed Sep 19 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * create tar.bz2 in dist
  * updated translations
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Tue Jul 31 2007 maw@suse.de
- Update to version 2.19.1:
  * Fix crash in thumbnailing code (#452907, Felix Riemann)
  * Use xdg-user-dirs to get Destkop directory shortcut (#459854, Luca Ferretti)
  * Remove segv handler (Fernando Herrera)
  * Add orientation tag support to the thumbnailer (#440978, Michael J. Chudobiak)
  * Deprecate GnomeDruid (#429178, Matthew Barnes)
  * Use Requires.private for nonpublic requirements (#396255; J.H.M. Dassen (Ray)).
* Thu Jul  5 2007 maw@suse.de
- Update to version 2.19.0
  * Fix a problem with the build fixes from 2.18.0
  * Correctly set width/height metadata in thumbnails. (Claudio Saavedra, #143470,
  [#356930])
  * Deprecate GnomeHref (Christian Persch, #396452)
  * File descriptor fixes in thumbnailing code (Christian Persch, #413641)
  * Many code fixes and cleanup, p.g. #408660 (Christian Persch)
  * Only unref the drive when we have one, (Richard Hult, #439420)
  * Don't crash in the crash handler when we cannot get the global GnomeProgram
  (Christian Persch, #438832)
  * Updated translations
  - pt_BR: Leonardo Ferreira Fontenelle
  - oc: Christophe Merlet, Kokoyaya
  - it: Luca Ferretti
  - ku: Erdal Ronahi
  - eu: Inaki Larranaga Murgoitio
  - gl: Ignacio Casal Quinteiro
  - or: Subhransu Behera
  - es: Jorge Gonzalez
  - he: Yair Hershkovitz
* Wed Mar 21 2007 maw@suse.de
- Update to version 2.18.1
- Fixes for b.g.o 416889, 412906, and 409278
- Some minor code cleanups.
* Fri Feb 16 2007 maw@suse.de
- Update to version 2.17.91.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Wed Dec 13 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov 21 2006 sbrabec@suse.cz
- Do not explicitly require mDNSResponder-lib blocking avahi compat
  package.
* Tue Nov 14 2006 sbrabec@suse.cz
- Reduced BuildRequires.
* Thu Oct 19 2006 federico@novell.com
- Updated to libgnomeui-2.16.1.
* Fri Oct 13 2006 danw@suse.de
- Remove dead patches
* Wed Sep 13 2006 jhargadon@suse.de
- update to version 2.16.0
- Remove upstreamed patch
- Lots of fixes for the async file chooser
- Fix some problems with gnome-desktop-item-edir
- Win32 portability fixes
- Build fixes for Solaris
- Updated and new translations
* Thu Aug 17 2006 jhargadon@suse.de
- update to version 2.15.91
- Fixes to GnomeIconList
- Removed unused function
* Mon Jul 31 2006 gekker@suse.de
- Update to version 2.15.90
- Remove upstreamed patches
  * Remove crash dialog
  * Add missing XUngrabServer() call in gnome-ui-init.c
  * Remove unneeded atexit() call in gnome-client.c
  * Set about dialog hooks (Christian Persch)
  * Loads of new and updated translations.
  * Merge the async branch of the file chooser (Kris)
  * Don't scale up small images when creating thumbnails (Lucas Rocha)
  * Fix critical warning and crash in thumbnailer (Alex Larsson)
  * Sync GOption code with latest libgnome (Christian)
  * Fix mime type problem with the thumbnailer (Bastien)
  * Fix a crasher (Felix Riemann)
  * Fix leaks in the GOption code (Christian Perch)
  * Thread safety fixes (jylefort at FreeBSD org)
  * Warning fixes (Kjartan)
  * Leak fixes in the GOption code (Christian Perch)
  * Support the icon theme name spec (Dobey)
  * Remove some stale code in the file selector (Kjartan)
  * Fix a leak in gnome_entry_save_history() (Paolo Borelli) [
  * Fix a GnomeCanvas-CRITICAL warning in gnome-icon-item (Federico)
  [#323521]
  * Scale images before doing a thumbnail to avoid
  eating up all ram on very large images (Victor STINNER) [#307885]
  * Fix a crash in gnomefileentry (Petr Mladek) [#315549]
  * Fix a mem leak (Kjartan)
  * Skip hidden pages in GnomeDruid (Ricardo Fernández Pascual) [#89145]
  * Remove useless check and warning about (Jens Elkner) [#118532]
  * Don't use gnome-keyring on Win32 (Tor Lillqvist)
  * Add support for GOption argument parsing (Pawel Sliwowski, chpe) [#307312]
  * Focus the first non-empty field in the password dialog (Nate Nielsen) [#318026]
  * Convert text from the file entry to filename encoding before returning it.
  Patch from Yydzero <yandong.yao@sun.com>, [#321144]
* Wed Jun 21 2006 federico@novell.com
- Added libgnomeui-184875-gtkfilesystemgnomevfs-no-extra-slash.diff to
  fix part of https://bugzilla.novell.com/show_bug.cgi?id=184875.
  This makes GtkFileSystemGnomeVFS not append a "/" to the end of
  certain URIs if they already have one.
* Thu Apr 13 2006 federico@novell.com
- Added libgnomeui-155010-filechooser-show-drives.diff to fix the
  libgnomeui part of
  https://bugzilla.novell.com/show_bug.cgi?id=155010.  This makes the
  file chooser show all user-visible drives in the Places pane, and
  all the user-visible volumes.
* Fri Apr  7 2006 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Feb 15 2006 gekker@suse.de
- Backport critical fixes from 2.12.1 (b.g.o#315549,122703)
* Thu Feb  2 2006 federico@novell.com
- Added libgnomeui-file-chooser-network-servers.diff.  This makes
  GtkFileChooser show a "Network Servers" volume through which you can
  browse the network.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 23 2005 dobey@suse.de
- Add patch to improve support for the icon naming spec
  Accepted upstream in libgnomeui 2.13.x
* Mon Sep 26 2005 mls@suse.de
- make devel package require base package
* Thu Sep  8 2005 pmladek@suse.cz
- fixed to do not free a statically allocated buffer [#115643]
* Tue Sep  6 2005 sbrabec@suse.cz
- Updated to version 2.12.0.
* Mon Sep  5 2005 sbrabec@suse.cz
- Updated to version 2.11.4.
* Tue Aug 23 2005 gekker@suse.de
- Update to version 2.11.3
* Thu Aug 11 2005 gekker@suse.de
- Updated to version 2.11.2
* Tue Aug  2 2005 sbrabec@suse.cz
- Updated to version 2.11.1.
* Fri Jun 24 2005 sbrabec@suse.cz
- Fixed devel requirements (#8283).
- Removed unneeded static modules and .la files for modules.
* Fri Jun 17 2005 gekker@suse.de
- Fix sentinel patch to work with new glib2
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Mon Apr 11 2005 sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Tue Mar  8 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10)
* Fri Mar  4 2005 gekker@suse.de
- Update to version 2.9.2
* Mon Feb  7 2005 ro@suse.de
- added mDNSResponder to neededforbuild
* Sat Feb  5 2005 meissner@suse.de
- added sentinel attributes to 2 functions.
* Thu Jan 27 2005 hhetter@suse.de
- updated to version 2.9.1
- force gtk-doc generation for doc package
* Thu Jan 13 2005 gekker@suse.de
- Update to version 2.8.0
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 sbrabec@suse.cz
- Use gnutls instead of openssl (#44438).
* Tue Oct 12 2004 sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Fri May 28 2004 mibarra@suse.de
- Patch to add contents background properties and fix theme colors
* Mon May 17 2004 sbrabec@suse.cz
- Require shared-mime-info.
* Tue Apr 27 2004 sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Mon Mar 22 2004 hhetter@suse.de
- libgnomeui-icon-path.dif: enable arbitrary icon paths in
  addition to the icon paths of the current theme.
  GNOME_ICON_PATH can contain a list of directories separated
  by ":"
* Wed Mar 10 2004 sbrabec@suse.cz
- %%{sysconfdir}/gconf should not be owned by this package.
- Fixed doc build.
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Tue Oct  7 2003 sbrabec@suse.cz
- Updated to version 2.4.0.1 (GNOME 2.4).
* Mon Sep 29 2003 hhetter@suse.de
- updated to version 2.4.0.1 [GNOME2.4]
* Mon Aug 18 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
* Sat Aug 16 2003 adrian@suse.de
- add libgnome-devel, libbonoboui-devel and libgnomecanvas-devel
  to Requires of -devel package
- add %%run_ldconfig
* Wed Jul 23 2003 hhetter@suse.de
- build with libtiff
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jul  8 2003 sbrabec@suse.cz
- Require gnome-icon-theme.
* Fri Jun 27 2003 sbrabec@suse.cz
- Set localstatedir to /var (needed for gnome-scores).
* Tue Jun 24 2003 sbrabec@suse.cz
- Updated to version 2.2.1.
- Updated neededforbuild.
- Prefix clash fix (gtk-doc).
* Sun Jun  1 2003 ro@suse.de
- remove unpackaged files from buildroot
* Tue Jan 28 2003 hhetter@suse.de
- updated to version 2.2.0.1
* Wed Jan 15 2003 hhetter@suse.de
- build with libexpat
- update to version 2.1.90
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 2.0.6 [GNOME 2.0.3]
* Thu Oct 24 2002 hhetter@suse.de
- updated to version 2.0.5
- use "-c" with automake (Bug Id#21066)
- FHS fix
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Wed Sep 18 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Thu Aug 15 2002 hhetter@suse.de
- branch doc package
* Fri Aug  9 2002 hhetter@suse.de
- add openssl to neededforbuild
* Thu Aug  8 2002 hhetter@suse.de
- updated to version 2.0.3
  * libexec movement
* Tue Jun 25 2002 hhetter@suse.de
- updated to version 2.0.1
* Thu Jun 20 2002 ro@suse.de
- use "-a -f" for automake
* Mon Jun 10 2002 hhetter@suse.de
- updated to version 2.0.0
* Tue Jun  4 2002 hhetter@suse.de
- updated to version 1.117.2
* Wed May 15 2002 ro@suse.de
- use libdir
* Wed Apr 10 2002 hhetter@suse.de
- updated to 1.114.0 [gnome desktop beta3]
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Jan 25 2002 hhetter@suse.de
- build with audiofile
* Thu Jan 24 2002 hhetter@suse.de
- build with esound
* Thu Jan 17 2002 hhetter@suse.de
- prefixed to /opt/gnome2
* Thu Jan 10 2002 hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
